Subject: Re: the maximal speed of pktgen with 1Gbps NIC

From: Ben Hutchings <[email-masked]>
Date: Wed, 22 Jul 2009 17:12:32 +0200

On Wed, 2009-07-22 at 14:56 +0200, Jesper Dangaard Brouer wrote:
> On Wed, 22 Jul 2009, [email-masked] wrote:
> 
> > anyone knows the maximal speed of pktgen with 1Gbps NIC?
> 
> You are limited by the number of packets per second (pps) your machine can 
> generate.  This limitation is given by the CPU speed and the NIC used.
> 
> The maximum pps I have seen with pktgen at 1Gbit/s is 1200 kpps.
> 
> 1Gbit/s wire speed pps with 64 bytes packets is approx 1953 kpps.
> (1000*10^6/(64*8) = 1953125)
[...]

You need to take the inter-packet gap into consideration too.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.